{% extends 'Default/backend.html.twig' %}

{% block javascripts %}
  {{ parent() }}
  {{ encore_entry_script_tags('pdnd') }}
{% endblock %}
{% block main_content %}
  <section id="intro" class="container px-4 mb-4">
    <div class="row" id="pdnd-new-client-container" data-keys-url="{{ keys_url }}" data-post-url="{{ post_url }}" data-back-url="{{ path('admin_pdnd_clients') }}">
      <div class="col-lg-12 px-lg-4 py-lg-2">
        <h2>{{ 'pdnd.clients.list.new'|trans }}</h2>
      </div>
      <div class="col-lg-12 px-lg-4 py-lg-2 mt-4">
        <p>
          {{ 'pdnd.clients.new.help'|trans|raw }}
        </p>
        <nav>
          <div class="nav nav-tabs" id="nav-tab" role="tablist">
            <a class="nav-item nav-link nav-step active" id="nav-tab1-tab" data-toggle="tab" href="#nav-tab1" role="tab"
               aria-controls="nav-tab1" aria-selected="true">
              <span class="step-number">1</span> {{ 'pdnd.clients.new.tab_1.title'|trans }}
            </a>
            <a class="nav-item nav-link nav-step" id="nav-tab2-tab" data-toggle="tab" href="#nav-tab2" role="tab"
               aria-controls="nav-tab2" aria-selected="false">
              <span class="step-number">2</span> {{ 'pdnd.clients.new.tab_2.title'|trans }}
            </a>
            <a class="nav-item nav-link nav-step" id="nav-tab4-tab" data-toggle="tab" href="#nav-tab4" role="tab"
               aria-controls="nav-tab4" aria-selected="false">
              <span class="step-number">3</span> {{ 'pdnd.clients.new.tab_3.title'|trans }}
            </a>
          </div>
        </nav>
        <form id="new-client">
          <div class="tab-content" id="nav-tabContent">
          <div class="tab-pane p-4 fade show active" id="nav-tab1" role="tabpanel" aria-labelledby="nav-tab1-tab">
            <div class="row">
              <div class="col-7">
                <div class="form-group">
                  <label for="name" class="required">{{ 'general.nome'|trans }}</label>
                  <input type="text" class="form-control" id="name" name="name" value="">
                </div>
                <div class="form-group mt-3">
                  <label class="w-100">{{ 'pdnd.clients.env.title'|trans }}</label>
                  <div class="row">
                    <div class="form-check form-check-inline mt-0">
                      <input name="env" type="radio" id="env_dev" value="collaudo" checked>
                      <label for="env_dev">{{ 'pdnd.clients.env.test'|trans }}</label>
                    </div>
                    <div class="form-check form-check-inline mt-0">
                      <input name="env" type="radio" id="env_prod" value="produzione">
                      <label for="env_prod">{{ 'pdnd.clients.env.prod'|trans }}</label>
                    </div>
                  </div>
                </div>
              </div>
              <div class="offset-1 col-4">
                <div class="callout note">
                  <div class="callout-title">
                    <svg class="icon">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-info-circle"></use>
                    </svg>
                    Info
                  </div>
                  {{ 'pdnd.clients.new.tab_1.info'|trans|raw }}
                </div>
              </div>
            </div>
          </div>
          <div class="tab-pane p-4 fade" id="nav-tab2" role="tabpanel" aria-labelledby="nav-tab2-tab">
            <div class="row">
              <div class="col-7">
                <div class="form-group d-block">
                  <label for="name">{{ 'pdnd.clients.public_key'|trans }}</label>
                  <button type="button" class="btn btn-xs btn-icon btn-clipboard float-right" data-clipboard-target="#public_key">
                    <svg class="icon" aria-hidden="true">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-copy"></use>
                    </svg>
                    <span>Copia</span>
                  </button>
                  <input type="hidden" id="key_pair_id" name="key_pair_id">
                  <textarea class="form-control small" id="public_key" name="public_key" rows="15" readonly></textarea>
                </div>
              </div>
              <div class="offset-1 col-4">
                <div class="callout note">
                  <div class="callout-title">
                    <svg class="icon">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-info-circle"></use>
                    </svg>
                    Info
                  </div>
                  {{ 'pdnd.clients.new.tab_2.info'|trans|raw }}
                </div>
              </div>
            </div>
          </div>
          <div class="tab-pane p-4 fade" id="nav-tab4" role="tabpanel" aria-labelledby="nav-tab4-tab">
            <div class="row">
              <div class="col-7">
                <div class="form-group">
                  <label for="key_id" class="required">Kid</label>
                  <input type="text" class="form-control" id="key_id" name="key_id">
                </div>
                <div class="form-group">
                  <button type="button" class="btn btn-primary mt-5 save">{{ 'salva'|trans }}</button>
                </div>
              </div>
              <div class="offset-1 col-4">
                <div class="callout note">
                  <div class="callout-title">
                    <svg class="icon">
                      <use href="/bootstrap-italia/dist/svg/sprite.svg#it-info-circle"></use>
                    </svg>
                    Info
                  </div>
                  {{ 'pdnd.clients.new.tab_3.info'|trans|raw }}
                </div>
              </div>
            </div>
          </div>
        </div>
        </form>
      </div>
    </div>
  </section>


{% endblock %}


